module leapfroga_i

 interface
subroutine leapfroga(params, anm,an,anp, bn,cn,dn)
  use input_params
  real*8, dimension(100) :: params
  real*8, dimension(:,:,:) :: anm,an,anp, bn,cn,dn
  integer sh(3), nx,ny,nz
  real*8 dt,h

 end subroutine 
 end interface 

 end module
